Read one leaderboard company by its domain: its score, grade, ranks, 7-day changes, and its current scan's summary, layers and checks
curl --request GET \
--url https://api.agentrail.co/v1/leaderboard/companies/{domain}import requests
url = "https://api.agentrail.co/v1/leaderboard/companies/{domain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentrail.co/v1/leaderboard/companies/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentrail.co/v1/leaderboard/companies/{domain}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentrail.co/v1/leaderboard/companies/{domain}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentrail.co/v1/leaderboard/companies/{domain}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentrail.co/v1/leaderboard/companies/{domain}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"website": "<string>",
"domain": "<string>",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"source": "curated",
"score": 50,
"grade": "A+",
"rank": 4503599627370495,
"rankedCompanies": 4503599627370495,
"categoryRank": 4503599627370495,
"categoryRankedCompanies": 4503599627370495,
"scoreChange7d": 0,
"rankChange7d": 0,
"newThisWeek": true,
"scannedAt": "2023-11-07T05:31:56Z",
"summary": "<string>",
"layers": [
{
"id": "discovery",
"weight": 4503599627370495,
"score": 4503599627370495
}
],
"checks": [
{
"id": "<string>",
"name": "<string>",
"layer": "discovery",
"tier": "required",
"label": "emerging",
"bonus": true,
"status": "passed",
"earned": 1,
"points": 4503599627370495
}
]
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Leaderboard
Read one leaderboard company by its domain: its score, grade, ranks, 7-day changes, and its current scan's summary, layers and checks
GET
/
v1
/
leaderboard
/
companies
/
{domain}
Read one leaderboard company by its domain: its score, grade, ranks, 7-day changes, and its current scan's summary, layers and checks
curl --request GET \
--url https://api.agentrail.co/v1/leaderboard/companies/{domain}import requests
url = "https://api.agentrail.co/v1/leaderboard/companies/{domain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentrail.co/v1/leaderboard/companies/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentrail.co/v1/leaderboard/companies/{domain}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentrail.co/v1/leaderboard/companies/{domain}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentrail.co/v1/leaderboard/companies/{domain}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentrail.co/v1/leaderboard/companies/{domain}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"website": "<string>",
"domain": "<string>",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"source": "curated",
"score": 50,
"grade": "A+",
"rank": 4503599627370495,
"rankedCompanies": 4503599627370495,
"categoryRank": 4503599627370495,
"categoryRankedCompanies": 4503599627370495,
"scoreChange7d": 0,
"rankChange7d": 0,
"newThisWeek": true,
"scannedAt": "2023-11-07T05:31:56Z",
"summary": "<string>",
"layers": [
{
"id": "discovery",
"weight": 4503599627370495,
"score": 4503599627370495
}
],
"checks": [
{
"id": "<string>",
"name": "<string>",
"layer": "discovery",
"tier": "required",
"label": "emerging",
"bonus": true,
"status": "passed",
"earned": 1,
"points": 4503599627370495
}
]
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Path Parameters
Required string length:
1 - 253Query Parameters
Available options:
include Response
Default Response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Available options:
curated, community Required range:
0 <= x <= 100Available options:
A+, A, B, C, D, F Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes